Class | SOAP::WSDLDriverFactory
In: | soap/wsdlDriver.rb
Parent: | Object

### Methods

createDriver create_driver create_rpc_driver inspect new

### Classes and Modules

Class SOAP::WSDLDriverFactory::FactoryError

### Attributes

wsdl | [R] |

### Public Class methods

new(wsdl)

[Source]

    # File soap/wsdlDriver.rb, line 27
      def initialize(wsdl)
        @wsdl = import(wsdl)
        @methoddefcreator = WSDL::SOAP::MethodDefCreator.new(@wsdl)
      end

### Public Instance methods

createDriver(servicename = nil, portname = nil)

Alias for create_driver

create_driver(servicename = nil, portname = nil)

depricated old interface

[Source]

    # File soap/wsdlDriver.rb, line 45
      def create_driver(servicename = nil, portname = nil)
        warn("WSDLDriverFactory#create_driver is depricated.  Use create_rpc_driver instead.")
        port = find_port(servicename, portname)
        WSDLDriver.new(@wsdl, port, nil)
      end

create_rpc_driver(servicename = nil, portname = nil)

[Source]

    # File soap/wsdlDriver.rb, line 36
      def create_rpc_driver(servicename = nil, portname = nil)
        port = find_port(servicename, portname)
        drv = SOAP::RPC::Driver.new(port.soap_address.location)
        init_driver(drv, port)
        add_operation(drv, port)
        drv
      end

inspect()

[Source]

    # File soap/wsdlDriver.rb, line 32
      def inspect
        "#<#{self.class}:#{@wsdl.name}>"
      end

[Validate]